Phony target for version 3.0

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Phony target for version 3.0

Kornel Benko

Trying to use phony target (working with 2.8.12) like

 

add_custom_target(doc0 DEPENDS ${some_dep_files})

 

leads to error messages like:

 

CMake Error: Could not get source file entry for <builddir>/CMakeFiles/doc0

 

Kornel

 

 


--

Powered by www.kitware.com

Please keep messages on-topic and check the CMake FAQ at: http://www.cmake.org/Wiki/CMake_FAQ

Kitware offers various services to support the CMake community. For more information on each offering, please visit:

CMake Support: http://cmake.org/cmake/help/support.html
CMake Consulting: http://cmake.org/cmake/help/consulting.html
CMake Training Courses: http://cmake.org/cmake/help/training.html

Visit other Kitware open-source projects at http://www.kitware.com/opensource/opensource.html

Follow this link to subscribe/unsubscribe:
http://www.cmake.org/mailman/listinfo/cmake

signature.asc (501 bytes) Download Attachment